Subject: Re: Problem with wait?
From: [email-masked] (Raj Menon)

13 Jun 1998 19:08:30 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain
To: [email-masked]

>>> Andy Mortimer <[email-masked]> 06/12/98 08:45AM >>>
> I don't know if this worked for you, Ian, but I've just started
> getting this error (I've just started running large builds too, so I
> don't think it's something I've just broken) with Sergey's
> latest. Again, having started happening it seems to happen for most
> commands -- although not all; usually I can do an "ls" without
> problems, but it won't let me run any shell scripts -- until I reboot.
> Does anyone have any idea how I would go about looking for more
> information on this? Or ideally, how to fix it?

I had reported a problem a while ago which sounds similar to this.
Sometimes when I do large (make goes 5 deep, about 100+ files
compiled), I get strange problems.  I had thought it was a bug in
make, but it does not seem so.  Some files (at random) would get
the "character device" attribute attached to them.  Then when any
program accesses them, things go crazy (see message posted
4/21/98 titled possible make problems for more info).  I have 
since discovered more about the problem.

It seems like the problem only happens when the directory tree
is "shared" and multiple users on the MS Network have files opened
in the directories I am doing a build in.  Sometimes, I can recover without
rebooting by disconnecting the shares and restarting tcsh.

Shares can be disconnected by:

Start->Settings->Control Panel->Server

Then click the "Shares" button on the bottom and Disconnect the users.
I think you might need Admin privileges to do this, but am not sure.

Sometimes, this does not work as Windows Networking can re-establish
the share.  Then I usually reboot.

Hope this helps.

-raj

                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               !
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".